Bug 1089490 - [PATCH] AttributeError: NullTranslationsBabel instance has no attribute 'isactive' with Babel 1.3
Summary: [PATCH] AttributeError: NullTranslationsBabel instance has no attribute 'isac...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: trac
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Felix Schwarz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-19 17:55 UTC by Paul Howarth
Modified: 2014-11-18 12:34 UTC (History)
3 users (show)

Fixed In Version: trac-1.0.2-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-18 12:34:54 UTC
Type: Bug


Attachments (Terms of Use)
Upstream fix for ticket 11345 (1.52 KB, application/x-download)
2014-04-19 17:55 UTC, Paul Howarth
no flags Details

Description Paul Howarth 2014-04-19 17:55:55 UTC
Created attachment 887834 [details]
Upstream fix for ticket 11345

This is with trac-1.0.1-3.fc20

I'm testing an update of trac-accountmanager-plugin to stable release 0.4.4 and got the error "AttributeError: NullTranslationsBabel instance has no attribute 'isactive'" after tring to use trac. This appears to be upstream bug http://trac.edgewall.org/ticket/11345 and the attached patch appears to have resolved the problem for me.

Comment 1 Felix Schwarz 2014-04-28 09:32:04 UTC
The bad thing is that Trac 1.0.1 has test failures with Babel 1.3 so we have a FTBS here. I tried to manually cherry-pick the required fixes but it turns out that we need at least 4-5 other patches to make the test failures go away.

I see two options to deal with the situation:
- don't execute the tests on F20/rawhide
- use 1.0.2dev directly from the svn

As far as I can see most of the stuff in 1.0.2dev should be pretty stable including some nice bug fixes. However we might have to deal with some fallout and I don't have much time.

Opinions?

Comment 2 Paul Howarth 2014-04-28 10:22:16 UTC
Is 1.0.2 likely to be released in the F21 time frame?

If so, I think it's probably best to skip the tests on F20 and move to 1.0.2 in Rawhide.

Do you think the patch I supplied would be OK for F20, so I could push a trac-accountmanager-plugin update for F20?

Comment 3 Felix Schwarz 2014-04-28 19:04:58 UTC
1.0.2 is likely but it seems as Trac releases are pretty rare these days (there was already talk of releasing it in December '13). It'd say it's 70% likely to happen before F21.

The patch itself looks ok but I didn't tried to run it in a real trac environment.

I'm leaning towards 1.0.2dev in rawhide (also because Trac's stable branch is usually really stable) + disabling tests in F20 as you suggested. Did you try out the patch in a trac environment for manual testing?

Comment 4 Paul Howarth 2014-04-29 09:02:46 UTC
(In reply to Felix Schwarz from comment #3)
> 1.0.2 is likely but it seems as Trac releases are pretty rare these days
> (there was already talk of releasing it in December '13). It'd say it's 70%
> likely to happen before F21.
> 
> The patch itself looks ok but I didn't tried to run it in a real trac
> environment.
> 
> I'm leaning towards 1.0.2dev in rawhide (also because Trac's stable branch
> is usually really stable) + disabling tests in F20 as you suggested. Did you
> try out the patch in a trac environment for manual testing?

I'm using it on http://www.city-fan.org/cfo-trac/ but I'm pretty much the only user of it and it uses the accountmanager plugin so I don't know if there are any adverse effects in environments that don't use that plugin, or with other plugins.

Comment 5 Paul Howarth 2014-06-09 10:29:52 UTC
Any thoughts on how to progress this?

Comment 6 Felix Schwarz 2014-10-26 09:14:15 UTC
Finally the Trac guys released 1.0.2 and 1.1.2 but I guess it's too late to update F21 at this point?

I'll update Trac to 1.1.2 in rawhide but what should we do about F21? Any thoughts from your side?

Comment 7 Paul Howarth 2014-10-26 09:37:47 UTC
It looks to me like 1.0.2 is a maintenance release with lots of bugfixes that would be worth having in F-21. Looking at the release notes, I don't see any obvious incompatibilities.

I'm leaning towards thinking the bugfixes would be worth it. Your call though.

Comment 8 Fedora Update System 2014-10-30 10:43:04 UTC
trac-1.0.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/trac-1.0.2-1.fc20

Comment 9 Felix Schwarz 2014-10-30 10:43:39 UTC
you're right - I misunderstood Trac's release model. I'll push updates to 1.0.2 for all supported Fedora versions.

Comment 10 Fedora Update System 2014-11-01 01:44:38 UTC
Package trac-1.0.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing trac-1.0.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-14057/trac-1.0.2-1.fc20
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2014-11-08 12:28:10 UTC
trac-1.0.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/trac-1.0.2-2.fc21

Comment 12 Fedora Update System 2014-11-08 12:29:58 UTC
trac-1.0.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/trac-1.0.2-2.fc20

Comment 13 Felix Schwarz 2014-11-08 12:36:19 UTC
just fyi: Trac 1.0.2 seems to trigger a bug in the Python bindings for subversion (see http://trac.edgewall.org/ticket/11805) so I cherry-picked the Trac changeset from 1.0.3dev and rebuilt the package. The only downside is that it might take a bit longer until the version hits stable.

Comment 14 Fedora Update System 2014-11-08 12:43:40 UTC
trac-1.0.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/trac-1.0.2-2.fc19

Comment 15 Fedora Update System 2014-11-10 06:40:20 UTC
Package trac-1.0.2-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing trac-1.0.2-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-14620/trac-1.0.2-2.fc20
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2014-11-16 14:47:39 UTC
trac-1.0.2-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-11-18 12:18:03 UTC
trac-1.0.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-11-18 12:34:54 UTC
trac-1.0.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.